# Get device details Retrieve detailed information about a specific device registered for communication and notification delivery. Endpoint: GET /notifications/devices/get Version: 1.0 Security: bearerAuth ## Header parameters: - `x-fingerprint-id` (string, required) Unique device or session fingerprint identifier used for security and fraud prevention. ## Query parameters: - `id` (string) Unique internal identifier of the device. Example: "65dcb7e41f8c9d0025d9a331" - `deviceId` (string) External identifier associated with the device. Example: "device-f3a91c" ## Response 200 fields (application/json): - `statusCode` (integer) Example: 200 - `data` (object) - `data.device` (object) - `data.device.id` (string) Example: "65dcb7e41f8c9d0025d9a331" - `data.device.createdAt` (string) Example: "2026-01-26T09:18:40.120Z" - `data.device.updatedAt` (string) Example: "2026-01-29T18:05:12.440Z" - `data.device.deleted` (string) - `data.device.userId` (string) Example: "a4c19f27-8e3a-4f21-9b0f-1d7e8c3a2e11" - `data.device.deviceId` (string) Example: "device-f3a91c" - `data.device.platform` (string) Enum: "android", "ios", "web" - `data.device.lastUsedAt` (string) Example: "2026-01-29T18:04:50.300Z" - `data.device.status` (string) Enum: "active", "revoked" - `data.device.environment` (string) Example: "production" - `data.device.lastSeenAt` (string) Example: "2026-01-29T18:04:50.300Z" - `data.device.pushToken` (string) Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.getmocktoken654" - `data.device.mobileSettings` (object) - `data.device.mobileSettings.appInstanceId` (string) Example: "app-instance-7701" - `data.device.mobileSettings.appVersion` (string) Example: "6.0.1" - `data.device.mobileSettings.osVersion` (string) Example: "16.4" - `data.device.mobileSettings.deviceModel` (string) Example: "Galaxy S23 Ultra" - `data.device.webSettings` (object) - `data.device.webSettings.userAgent` (string) Example: "Mozilla/5.0 (Macintosh; Intel Mac OS X 14_1)" - `data.device.webSettings.ipAddress` (string) Example: "10.1.5.77" ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500